// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 70;
	objects = {

/* Begin PBXBuildFile section */
		1A03810B24E71C5600826501 /* ToolbarButtonContainerView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A03810A24E71C5600826501 /* ToolbarButtonContainerView.swift */; };
		1A03810D24E71CA700826501 /* ToolbarView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A03810C24E71CA700826501 /* ToolbarView.swift */; };
		1A03811024E71CF000826501 /* ReliefButton.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A03810F24E71CF000826501 /* ReliefButton.swift */; };
		1A03811224E71EAA00826501 /* GradientView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A03811124E71EAA00826501 /* GradientView.swift */; };
		1A03811424E73EB300826501 /* SegmentedReliefButton.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A03811324E73EB300826501 /* SegmentedReliefButton.swift */; };
		1A14FC2324D203D9009B3F83 /* TitlebarView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A14FC2224D203D9009B3F83 /* TitlebarView.swift */; };
		1A14FC2624D251BD009B3F83 /* darkmode.css in Resources */ = {isa = PBXBuildFile; fileRef = 1A14FC2524D251BD009B3F83 /* darkmode.css */; };
		1A14FC2824D26749009B3F83 /* Tab.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A14FC2724D26749009B3F83 /* Tab.swift */; };
		1AB88EFD24D3BA560006F850 /* TabController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1AB88EFC24D3BA560006F850 /* TabController.swift */; };
		1AB88EFF24D3BBA50006F850 /* TabPickerViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1AB88EFE24D3BBA50006F850 /* TabPickerViewController.swift */; };
		1AB88F0624D4D3A90006F850 /* UIGestureRecognizer+Actions.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1AB88F0524D4D3A90006F850 /* UIGestureRecognizer+Actions.swift */; };
		1AD31040252545BF00A4A952 /* FindOnPageView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1AD3103F252545BF00A4A952 /* FindOnPageView.swift */; };
		1AD3104325254FB900A4A952 /* FindOnPageViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1AD3104225254FB900A4A952 /* FindOnPageViewController.swift */; };
		1AD310452525586B00A4A952 /* DocumentControlItemView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1AD310442525586B00A4A952 /* DocumentControlItemView.swift */; };
		1ADFF46024C7DE53006DC7AE /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1ADFF45F24C7DE53006DC7AE /* AppDelegate.swift */; };
		1ADFF46224C7DE53006DC7AE /* BrowserSceneDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1ADFF46124C7DE53006DC7AE /* BrowserSceneDelegate.swift */; };
		1ADFF46924C7DE54006DC7AE /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 1ADFF46824C7DE54006DC7AE /* Assets.xcassets */; };
		1ADFF46C24C7DE54006DC7AE /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 1ADFF46A24C7DE54006DC7AE /* LaunchScreen.storyboard */; };
		1ADFF47424C7DE9C006DC7AE /* BrowserViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1ADFF47324C7DE9C006DC7AE /* BrowserViewController.swift */; };
		1ADFF47924C7DFF8006DC7AE /* BrowserView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1ADFF47824C7DFF8006DC7AE /* BrowserView.swift */; };
		1ADFF48D24C8C176006DC7AE /* SBRProcessBundleBridge.m in Sources */ = {isa = PBXBuildFile; fileRef = 1ADFF48C24C8C176006DC7AE /* SBRProcessBundleBridge.m */; };
		1ADFF4AE24C8ED32006DC7AE /* ResourcePolicyManager.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1ADFF4AD24C8ED32006DC7AE /* ResourcePolicyManager.swift */; };
		1ADFF4C024CA6964006DC7AE /* URLBar.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1ADFF4BF24CA6964006DC7AE /* URLBar.swift */; };
		1ADFF4C324CA6AF6006DC7AE /* Geometry.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1ADFF4C224CA6AF6006DC7AE /* Geometry.swift */; };
		1ADFF4C724CA6DEB006DC7AE /* UIEdgeInsets+Layout.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1ADFF4C624CA6DEB006DC7AE /* UIEdgeInsets+Layout.swift */; };
		1ADFF4C924CA793E006DC7AE /* ToolbarViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1ADFF4C824CA793E006DC7AE /* ToolbarViewController.swift */; };
		1ADFF4CB24CB8278006DC7AE /* ScriptControllerIconView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1ADFF4CA24CB8278006DC7AE /* ScriptControllerIconView.swift */; };
		1ADFF4CD24CBB0C8006DC7AE /* ScriptOriginPolicyViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1ADFF4CC24CBB0C8006DC7AE /* ScriptOriginPolicyViewController.swift */; };
		CD01D5A5254A10BB00189CDC /* TabBarView.swift in Sources */ = {isa = PBXBuildFile; fileRef = CD01D5A4254A10BB00189CDC /* TabBarView.swift */; };
		CD01D5AB254A206D00189CDC /* TabBarViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = CD01D5AA254A206D00189CDC /* TabBarViewController.swift */; };
		CD15332F297B6798009A7F3A /* HistoryBrowserViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = CD15332E297B6798009A7F3A /* HistoryBrowserViewController.swift */; };
		CD153331297B6806009A7F3A /* HistoryView.swift in Sources */ = {isa = PBXBuildFile; fileRef = CD153330297B6806009A7F3A /* HistoryView.swift */; };
		CD16844D269E709400B8F8A5 /* Box.swift in Sources */ = {isa = PBXBuildFile; fileRef = CD16844C269E709400B8F8A5 /* Box.swift */; };
		CD19576D268BE95900E8089B /* GenericContentView.swift in Sources */ = {isa = PBXBuildFile; fileRef = CD19576C268BE95900E8089B /* GenericContentView.swift */; };
		CD361CF6271A3718006E9CA5 /* SBRScriptPolicy.m in Sources */ = {isa = PBXBuildFile; fileRef = CD361CF5271A3718006E9CA5 /* SBRScriptPolicy.m */; };
		CD470C4225DE056600AFBE0E /* BrowserViewController+WebKitDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = CD470C4125DE056600AFBE0E /* BrowserViewController+WebKitDelegate.swift */; };
		CD470C4425DE070400AFBE0E /* BrowserViewController+Keyboard.swift in Sources */ = {isa = PBXBuildFile; fileRef = CD470C4325DE070400AFBE0E /* BrowserViewController+Keyboard.swift */; };
		CD7313E22705349700053347 /* ScriptPolicyViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = CD7313E12705349700053347 /* ScriptPolicyViewController.swift */; };
		CD7313E4270534B800053347 /* ScriptPolicyViewControllerDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = CD7313E3270534B800053347 /* ScriptPolicyViewControllerDelegate.swift */; };
		CD7A7E9D2686A9A500E20BA3 /* SettingsViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = CD7A7E9C2686A9A500E20BA3 /* SettingsViewController.swift */; };
		CD7A7E9F2686B29100E20BA3 /* GeneralSettingsViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = CD7A7E9E2686B29100E20BA3 /* GeneralSettingsViewController.swift */; };
		CD7A7EA12686B2E600E20BA3 /* RedirectRulesSettingsViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = CD7A7EA02686B2E600E20BA3 /* RedirectRulesSettingsViewController.swift */; };
		CD7A8915251975B70075991E /* AutocompleteViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = CD7A8914251975B70075991E /* AutocompleteViewController.swift */; };
		CD7A89172519872D0075991E /* KeyboardShortcuts.swift in Sources */ = {isa = PBXBuildFile; fileRef = CD7A89162519872D0075991E /* KeyboardShortcuts.swift */; };
		CD7A8919251989C90075991E /* UIKeyCommand+ConvInit.swift in Sources */ = {isa = PBXBuildFile; fileRef = CD7A8918251989C90075991E /* UIKeyCommand+ConvInit.swift */; };
		CD7F2135265DAD010001D042 /* MFMailComposeViewControllerFix.m in Sources */ = {isa = PBXBuildFile; fileRef = CD7F2134265DAD010001D042 /* MFMailComposeViewControllerFix.m */; };
		CD853BCE24E7763900D2BDCC /* BrowserHistory.swift in Sources */ = {isa = PBXBuildFile; fileRef = CD853BCD24E7763900D2BDCC /* BrowserHistory.swift */; };
		CD853BD124E778B800D2BDCC /* History.xcdatamodeld in Sources */ = {isa = PBXBuildFile; fileRef = CD853BCF24E778B800D2BDCC /* History.xcdatamodeld */; };
		CD853BD424E77BF900D2BDCC /* HistoryItem.swift in Sources */ = {isa = PBXBuildFile; fileRef = CD853BD324E77BF900D2BDCC /* HistoryItem.swift */; };
		CD8ACBC22DC9A2F7008BF856 /* Hacks.m in Sources */ = {isa = PBXBuildFile; fileRef = CD8ACBC12DC9A2F7008BF856 /* Hacks.m */; };
		CD8DBE7B2A85D892006A0FE0 /* LayoutLatch.swift in Sources */ = {isa = PBXBuildFile; fileRef = CD8DBE7A2A85D892006A0FE0 /* LayoutLatch.swift */; };
		CD936A3B289DB3380093A1AC /* TabInfo.swift in Sources */ = {isa = PBXBuildFile; fileRef = CD936A3A289DB3380093A1AC /* TabInfo.swift */; };
		CD936A3D289DB88B0093A1AC /* UIView+Utils.swift in Sources */ = {isa = PBXBuildFile; fileRef = CD936A3C289DB88B0093A1AC /* UIView+Utils.swift */; };
		CD97CF9225D5BE6F00288FEE /* NavigationControlsView.swift in Sources */ = {isa = PBXBuildFile; fileRef = CD97CF9125D5BE6F00288FEE /* NavigationControlsView.swift */; };
		CDACE18C2C5B09F00053AB29 /* StringUtilities.swift in Sources */ = {isa = PBXBuildFile; fileRef = CDACE18B2C5B09F00053AB29 /* StringUtilities.swift */; };
		CDAD9CE8263A2DF200FF7199 /* DocumentControlsView.swift in Sources */ = {isa = PBXBuildFile; fileRef = CDAD9CE7263A2DF200FF7199 /* DocumentControlsView.swift */; };
		CDAD9CEA263A318F00FF7199 /* ShareableURL.swift in Sources */ = {isa = PBXBuildFile; fileRef = CDAD9CE9263A318F00FF7199 /* ShareableURL.swift */; };
		CDB6807D28B446FC007D787E /* ReaderSceneDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = CDB6807C28B446FC007D787E /* ReaderSceneDelegate.swift */; };
		CDB6808728B4556B007D787E /* Credits.rtf in Resources */ = {isa = PBXBuildFile; fileRef = CDB6808628B4556B007D787E /* Credits.rtf */; };
		CDB6808928B4569F007D787E /* LICENSE.txt in Resources */ = {isa = PBXBuildFile; fileRef = CDB6808828B4569F007D787E /* LICENSE.txt */; };
		CDC4A1CF25E9D8F7007D33C6 /* Tagger.js in Resources */ = {isa = PBXBuildFile; fileRef = CDC4A1CE25E9D8F7007D33C6 /* Tagger.js */; };
		CDC5DA3A25DB774D00BA8D99 /* Readability.js in Resources */ = {isa = PBXBuildFile; fileRef = CDC5DA3925DB774D00BA8D99 /* Readability.js */; };
		CDC5DA3E25DB7C2C00BA8D99 /* ReaderViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = CDC5DA3D25DB7C2C00BA8D99 /* ReaderViewController.swift */; };
		CDC5DA4025DB7EAC00BA8D99 /* reader.html in Resources */ = {isa = PBXBuildFile; fileRef = CDC5DA3F25DB7EAC00BA8D99 /* reader.html */; };
		CDCE2664251AA80F007FE92A /* DocumentControlViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = CDCE2663251AA80F007FE92A /* DocumentControlViewController.swift */; };
		CDCE2666251AA840007FE92A /* StackView.swift in Sources */ = {isa = PBXBuildFile; fileRef = CDCE2665251AA840007FE92A /* StackView.swift */; };
		CDCE2668251AAA9A007FE92A /* FontSizeAdjustView.swift in Sources */ = {isa = PBXBuildFile; fileRef = CDCE2667251AAA9A007FE92A /* FontSizeAdjustView.swift */; };
		CDD0522125F8023700DD1771 /* Settings.swift in Sources */ = {isa = PBXBuildFile; fileRef = CDD0522025F8023700DD1771 /* Settings.swift */; };
		CDD0522425F8055700DD1771 /* SearchProvider.swift in Sources */ = {isa = PBXBuildFile; fileRef = CDD0522325F8055700DD1771 /* SearchProvider.swift */; };
		CDE6A30425F023BC00E912A4 /* AmberSettingsViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = CDE6A30325F023BC00E912A4 /* AmberSettingsViewController.swift */; };
		CDE6A30625F023EA00E912A4 /* AmberSettingsView.swift in Sources */ = {isa = PBXBuildFile; fileRef = CDE6A30525F023EA00E912A4 /* AmberSettingsView.swift */; };
		CDEDD8AA25D62ADB00862605 /* UITraitCollection+MacLike.swift in Sources */ = {isa = PBXBuildFile; fileRef = CDEDD8A925D62ADB00862605 /* UITraitCollection+MacLike.swift */; };
		CDF255FD289DD7CF0059F021 /* AttractorServer.swift in Sources */ = {isa = PBXBuildFile; fileRef = CDF255FC289DD7CF0059F021 /* AttractorServer.swift */; };
		CDF3468E276C105900FB3141 /* SettingsSceneDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = CDF3468D276C105900FB3141 /* SettingsSceneDelegate.swift */; };
		CDF34690276C14BD00FB3141 /* CodeEditorSettingsViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = CDF3468F276C14BD00FB3141 /* CodeEditorSettingsViewController.swift */; };
/* End PBXBuildFile section */

/* Begin PBXCopyFilesBuildPhase section */
		1ADFF4A124C8C25B006DC7AE /* Embed App Extensions */ = {
			isa = PBXCopyFilesBuildPhase;
			buildActionMask = 2147483647;
			dstPath = "";
			dstSubfolderSpec = 13;
			files = (
			);
			name = "Embed App Extensions";
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXCopyFilesBuildPhase section */

/* Begin PBXFileReference section */
		1A03810A24E71C5600826501 /* ToolbarButtonContainerView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ToolbarButtonContainerView.swift; sourceTree = "<group>"; };
		1A03810C24E71CA700826501 /* ToolbarView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ToolbarView.swift; sourceTree = "<group>"; };
		1A03810F24E71CF000826501 /* ReliefButton.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ReliefButton.swift; sourceTree = "<group>"; };
		1A03811124E71EAA00826501 /* GradientView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = GradientView.swift; sourceTree = "<group>"; };
		1A03811324E73EB300826501 /* SegmentedReliefButton.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SegmentedReliefButton.swift; sourceTree = "<group>"; };
		1A14FC2224D203D9009B3F83 /* TitlebarView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TitlebarView.swift; sourceTree = "<group>"; };
		1A14FC2524D251BD009B3F83 /* darkmode.css */ = {isa = PBXFileReference; lastKnownFileType = text.css; path = darkmode.css; sourceTree = "<group>"; };
		1A14FC2724D26749009B3F83 /* Tab.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Tab.swift; sourceTree = "<group>"; };
		1AB88EFC24D3BA560006F850 /* TabController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TabController.swift; sourceTree = "<group>"; };
		1AB88EFE24D3BBA50006F850 /* TabPickerViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TabPickerViewController.swift; sourceTree = "<group>"; };
		1AB88F0524D4D3A90006F850 /* UIGestureRecognizer+Actions.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UIGestureRecognizer+Actions.swift"; sourceTree = "<group>"; };
		1AD3103F252545BF00A4A952 /* FindOnPageView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = FindOnPageView.swift; sourceTree = "<group>"; };
		1AD3104225254FB900A4A952 /* FindOnPageViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = FindOnPageViewController.swift; sourceTree = "<group>"; };
		1AD310442525586B00A4A952 /* DocumentControlItemView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = DocumentControlItemView.swift; sourceTree = "<group>"; };
		1ADFF45C24C7DE53006DC7AE /* Attractor.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = Attractor.app; sourceTree = BUILT_PRODUCTS_DIR; };
		1ADFF45F24C7DE53006DC7AE /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		1ADFF46124C7DE53006DC7AE /* BrowserSceneDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BrowserSceneDelegate.swift; sourceTree = "<group>"; };
		1ADFF46824C7DE54006DC7AE /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		1ADFF46B24C7DE54006DC7AE /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		1ADFF46D24C7DE54006DC7AE /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		1ADFF47324C7DE9C006DC7AE /* BrowserViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BrowserViewController.swift; sourceTree = "<group>"; };
		1ADFF47524C7DF20006DC7AE /* SBrowser.entitlements */ = {isa = PBXFileReference; lastKnownFileType = text.plist.entitlements; path = SBrowser.entitlements; sourceTree = "<group>"; };
		1ADFF47824C7DFF8006DC7AE /* BrowserView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BrowserView.swift; sourceTree = "<group>"; };
		1ADFF48324C8C12F006DC7AE /* Foundation.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = Foundation.framework; path = System/Library/Frameworks/Foundation.framework; sourceTree = SDKROOT; };
		1ADFF48A24C8C176006DC7AE /* SBrowser-Bridging-Header.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = "SBrowser-Bridging-Header.h"; sourceTree = "<group>"; };
		1ADFF48B24C8C176006DC7AE /* SBRProcessBundleBridge.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = SBRProcessBundleBridge.h; sourceTree = "<group>"; };
		1ADFF48C24C8C176006DC7AE /* SBRProcessBundleBridge.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = SBRProcessBundleBridge.m; sourceTree = "<group>"; };
		1ADFF4AD24C8ED32006DC7AE /* ResourcePolicyManager.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ResourcePolicyManager.swift; sourceTree = "<group>"; };
		1ADFF4BF24CA6964006DC7AE /* URLBar.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = URLBar.swift; sourceTree = "<group>"; };
		1ADFF4C224CA6AF6006DC7AE /* Geometry.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Geometry.swift; sourceTree = "<group>"; };
		1ADFF4C624CA6DEB006DC7AE /* UIEdgeInsets+Layout.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UIEdgeInsets+Layout.swift"; sourceTree = "<group>"; };
		1ADFF4C824CA793E006DC7AE /* ToolbarViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ToolbarViewController.swift; sourceTree = "<group>"; };
		1ADFF4CA24CB8278006DC7AE /* ScriptControllerIconView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ScriptControllerIconView.swift; sourceTree = "<group>"; };
		1ADFF4CC24CBB0C8006DC7AE /* ScriptOriginPolicyViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ScriptOriginPolicyViewController.swift; sourceTree = "<group>"; };
		CD01D5A4254A10BB00189CDC /* TabBarView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TabBarView.swift; sourceTree = "<group>"; };
		CD01D5AA254A206D00189CDC /* TabBarViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TabBarViewController.swift; sourceTree = "<group>"; };
		CD15332E297B6798009A7F3A /* HistoryBrowserViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HistoryBrowserViewController.swift; sourceTree = "<group>"; };
		CD153330297B6806009A7F3A /* HistoryView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HistoryView.swift; sourceTree = "<group>"; };
		CD16844C269E709400B8F8A5 /* Box.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Box.swift; sourceTree = "<group>"; };
		CD19576C268BE95900E8089B /* GenericContentView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = GenericContentView.swift; sourceTree = "<group>"; };
		CD361CF4271A3718006E9CA5 /* SBRScriptPolicy.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = SBRScriptPolicy.h; sourceTree = "<group>"; };
		CD361CF5271A3718006E9CA5 /* SBRScriptPolicy.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = SBRScriptPolicy.m; sourceTree = "<group>"; };
		CD3D6CED2DA9F8910099667F /* WebKitDefines.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = WebKitDefines.h; sourceTree = "<group>"; };
		CD470C4125DE056600AFBE0E /* BrowserViewController+WebKitDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "BrowserViewController+WebKitDelegate.swift"; sourceTree = "<group>"; };
		CD470C4325DE070400AFBE0E /* BrowserViewController+Keyboard.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "BrowserViewController+Keyboard.swift"; sourceTree = "<group>"; };
		CD7313E12705349700053347 /* ScriptPolicyViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ScriptPolicyViewController.swift; sourceTree = "<group>"; };
		CD7313E3270534B800053347 /* ScriptPolicyViewControllerDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ScriptPolicyViewControllerDelegate.swift; sourceTree = "<group>"; };
		CD7A7E9C2686A9A500E20BA3 /* SettingsViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SettingsViewController.swift; sourceTree = "<group>"; };
		CD7A7E9E2686B29100E20BA3 /* GeneralSettingsViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = GeneralSettingsViewController.swift; sourceTree = "<group>"; };
		CD7A7EA02686B2E600E20BA3 /* RedirectRulesSettingsViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = RedirectRulesSettingsViewController.swift; sourceTree = "<group>"; };
		CD7A8914251975B70075991E /* AutocompleteViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AutocompleteViewController.swift; sourceTree = "<group>"; };
		CD7A89162519872D0075991E /* KeyboardShortcuts.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = KeyboardShortcuts.swift; sourceTree = "<group>"; };
		CD7A8918251989C90075991E /* UIKeyCommand+ConvInit.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UIKeyCommand+ConvInit.swift"; sourceTree = "<group>"; };
		CD7F2134265DAD010001D042 /* MFMailComposeViewControllerFix.m */ = {isa = PBXFileReference; explicitFileType = sourcecode.c.objc; path = MFMailComposeViewControllerFix.m; sourceTree = "<group>"; };
		CD853BCD24E7763900D2BDCC /* BrowserHistory.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BrowserHistory.swift; sourceTree = "<group>"; };
		CD853BD024E778B800D2BDCC /* History.xcdatamodel */ = {isa = PBXFileReference; lastKnownFileType = wrapper.xcdatamodel; path = History.xcdatamodel; sourceTree = "<group>"; };
		CD853BD324E77BF900D2BDCC /* HistoryItem.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HistoryItem.swift; sourceTree = "<group>"; };
		CD8ACBC02DC9A2F7008BF856 /* Hacks.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = Hacks.h; sourceTree = "<group>"; };
		CD8ACBC12DC9A2F7008BF856 /* Hacks.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = Hacks.m; sourceTree = "<group>"; };
		CD8DBE7A2A85D892006A0FE0 /* LayoutLatch.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LayoutLatch.swift; sourceTree = "<group>"; };
		CD936A3A289DB3380093A1AC /* TabInfo.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TabInfo.swift; sourceTree = "<group>"; };
		CD936A3C289DB88B0093A1AC /* UIView+Utils.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UIView+Utils.swift"; sourceTree = "<group>"; };
		CD97CF9125D5BE6F00288FEE /* NavigationControlsView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = NavigationControlsView.swift; sourceTree = "<group>"; };
		CDACE18B2C5B09F00053AB29 /* StringUtilities.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = StringUtilities.swift; sourceTree = "<group>"; };
		CDAD9CE7263A2DF200FF7199 /* DocumentControlsView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = DocumentControlsView.swift; sourceTree = "<group>"; };
		CDAD9CE9263A318F00FF7199 /* ShareableURL.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ShareableURL.swift; sourceTree = "<group>"; };
		CDB6807C28B446FC007D787E /* ReaderSceneDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ReaderSceneDelegate.swift; sourceTree = "<group>"; };
		CDB6808628B4556B007D787E /* Credits.rtf */ = {isa = PBXFileReference; lastKnownFileType = text.rtf; path = Credits.rtf; sourceTree = "<group>"; };
		CDB6808828B4569F007D787E /* LICENSE.txt */ = {isa = PBXFileReference; lastKnownFileType = text; path = LICENSE.txt; sourceTree = "<group>"; };
		CDC4A1CE25E9D8F7007D33C6 /* Tagger.js */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.javascript; path = Tagger.js; sourceTree = "<group>"; };
		CDC5DA3925DB774D00BA8D99 /* Readability.js */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.javascript; path = Readability.js; sourceTree = "<group>"; };
		CDC5DA3D25DB7C2C00BA8D99 /* ReaderViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ReaderViewController.swift; sourceTree = "<group>"; };
		CDC5DA3F25DB7EAC00BA8D99 /* reader.html */ = {isa = PBXFileReference; lastKnownFileType = text.html; path = reader.html; sourceTree = "<group>"; };
		CDCE2663251AA80F007FE92A /* DocumentControlViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = DocumentControlViewController.swift; sourceTree = "<group>"; };
		CDCE2665251AA840007FE92A /* StackView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = StackView.swift; sourceTree = "<group>"; };
		CDCE2667251AAA9A007FE92A /* FontSizeAdjustView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = FontSizeAdjustView.swift; sourceTree = "<group>"; };
		CDD0522025F8023700DD1771 /* Settings.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Settings.swift; sourceTree = "<group>"; };
		CDD0522325F8055700DD1771 /* SearchProvider.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SearchProvider.swift; sourceTree = "<group>"; };
		CDE6A30325F023BC00E912A4 /* AmberSettingsViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AmberSettingsViewController.swift; sourceTree = "<group>"; };
		CDE6A30525F023EA00E912A4 /* AmberSettingsView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AmberSettingsView.swift; sourceTree = "<group>"; };
		CDEDD8A925D62ADB00862605 /* UITraitCollection+MacLike.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UITraitCollection+MacLike.swift"; sourceTree = "<group>"; };
		CDF255FC289DD7CF0059F021 /* AttractorServer.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AttractorServer.swift; sourceTree = "<group>"; };
		CDF3468D276C105900FB3141 /* SettingsSceneDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SettingsSceneDelegate.swift; sourceTree = "<group>"; };
		CDF3468F276C14BD00FB3141 /* CodeEditorSettingsViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CodeEditorSettingsViewController.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFileSystemSynchronizedRootGroup section */
		CDB73F3F2DA9F2F100DF4FAB /* WebKit Headers */ = {isa = PBXFileSystemSynchronizedRootGroup; explicitFileTypes = {}; explicitFolders = (); path = "WebKit Headers"; sourceTree = "<group>"; };
/* End PBXFileSystemSynchronizedRootGroup section */

/* Begin PBXFrameworksBuildPhase section */
		1ADFF45924C7DE53006DC7AE /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		1A03810E24E71CCA00826501 /* Common UI */ = {
			isa = PBXGroup;
			children = (
				CD19576C268BE95900E8089B /* GenericContentView.swift */,
				1A03811124E71EAA00826501 /* GradientView.swift */,
				1A03810F24E71CF000826501 /* ReliefButton.swift */,
				1A03811324E73EB300826501 /* SegmentedReliefButton.swift */,
				CDCE2665251AA840007FE92A /* StackView.swift */,
			);
			path = "Common UI";
			sourceTree = "<group>";
		};
		1A14FC2424D2517A009B3F83 /* Resources */ = {
			isa = PBXGroup;
			children = (
				1A14FC2524D251BD009B3F83 /* darkmode.css */,
				CDC5DA3925DB774D00BA8D99 /* Readability.js */,
				CDC4A1CE25E9D8F7007D33C6 /* Tagger.js */,
				CDC5DA3F25DB7EAC00BA8D99 /* reader.html */,
				CDB6808628B4556B007D787E /* Credits.rtf */,
			);
			path = Resources;
			sourceTree = "<group>";
		};
		1AB88F0324D3E1EC0006F850 /* Tabs */ = {
			isa = PBXGroup;
			children = (
				1A14FC2724D26749009B3F83 /* Tab.swift */,
				CD936A3A289DB3380093A1AC /* TabInfo.swift */,
				CD01D5A4254A10BB00189CDC /* TabBarView.swift */,
				CD01D5AA254A206D00189CDC /* TabBarViewController.swift */,
				1AB88EFC24D3BA560006F850 /* TabController.swift */,
				1AB88EFE24D3BBA50006F850 /* TabPickerViewController.swift */,
			);
			path = Tabs;
			sourceTree = "<group>";
		};
		1AB88F0424D3E1F90006F850 /* Titlebar and URL Bar */ = {
			isa = PBXGroup;
			children = (
				1A14FC2224D203D9009B3F83 /* TitlebarView.swift */,
				1A03810C24E71CA700826501 /* ToolbarView.swift */,
				1ADFF4C824CA793E006DC7AE /* ToolbarViewController.swift */,
				1A03810A24E71C5600826501 /* ToolbarButtonContainerView.swift */,
				1ADFF4BF24CA6964006DC7AE /* URLBar.swift */,
			);
			path = "Titlebar and URL Bar";
			sourceTree = "<group>";
		};
		1AD3104125254FA300A4A952 /* Find on Page */ = {
			isa = PBXGroup;
			children = (
				1AD3103F252545BF00A4A952 /* FindOnPageView.swift */,
				1AD3104225254FB900A4A952 /* FindOnPageViewController.swift */,
			);
			path = "Find on Page";
			sourceTree = "<group>";
		};
		1ADFF45324C7DE53006DC7AE = {
			isa = PBXGroup;
			children = (
				CDB6808828B4569F007D787E /* LICENSE.txt */,
				1ADFF45E24C7DE53006DC7AE /* App */,
				CDB73F3F2DA9F2F100DF4FAB /* WebKit Headers */,
				1ADFF48224C8C12F006DC7AE /* Frameworks */,
				1ADFF45D24C7DE53006DC7AE /* Products */,
			);
			sourceTree = "<group>";
		};
		1ADFF45D24C7DE53006DC7AE /* Products */ = {
			isa = PBXGroup;
			children = (
				1ADFF45C24C7DE53006DC7AE /* Attractor.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		1ADFF45E24C7DE53006DC7AE /* App */ = {
			isa = PBXGroup;
			children = (
				1ADFF45F24C7DE53006DC7AE /* AppDelegate.swift */,
				CD7A89162519872D0075991E /* KeyboardShortcuts.swift */,
				CD7A89132519759D0075991E /* Autocomplete */,
				1ADFF47A24C7E176006DC7AE /* Backend */,
				1ADFF47724C7DFE8006DC7AE /* Browser View */,
				1A03810E24E71CCA00826501 /* Common UI */,
				CDCE2662251AA7FC007FE92A /* Document Controls UI */,
				1AD3104125254FA300A4A952 /* Find on Page */,
				CD7F2133265DACEE0001D042 /* Hacks */,
				CD15332D297B6784009A7F3A /* History UI */,
				CDC5DA3C25DB7A5500BA8D99 /* Reader View */,
				CDB6807B28B4456B007D787E /* Scene Delegates */,
				1ADFF4CE24CBBCBD006DC7AE /* Script Policy UI */,
				CDE6A30225F023A000E912A4 /* Settings */,
				CDF255FB289DD7BD0059F021 /* Sync */,
				1AB88F0324D3E1EC0006F850 /* Tabs */,
				1AB88F0424D3E1F90006F850 /* Titlebar and URL Bar */,
				1ADFF4C124CA6AE4006DC7AE /* Utilities */,
				1ADFF4AF24C92E2F006DC7AE /* Web Process Bundle Bridge */,
				CDD0522225F8054A00DD1771 /* Web Search */,
				1A14FC2424D2517A009B3F83 /* Resources */,
				1ADFF47624C7DF7F006DC7AE /* Supporting Files */,
			);
			path = App;
			sourceTree = "<group>";
		};
		1ADFF47624C7DF7F006DC7AE /* Supporting Files */ = {
			isa = PBXGroup;
			children = (
				1ADFF48A24C8C176006DC7AE /* SBrowser-Bridging-Header.h */,
				1ADFF47524C7DF20006DC7AE /* SBrowser.entitlements */,
				1ADFF46824C7DE54006DC7AE /* Assets.xcassets */,
				1ADFF46A24C7DE54006DC7AE /* LaunchScreen.storyboard */,
				1ADFF46D24C7DE54006DC7AE /* Info.plist */,
				CD3D6CED2DA9F8910099667F /* WebKitDefines.h */,
			);
			path = "Supporting Files";
			sourceTree = "<group>";
		};
		1ADFF47724C7DFE8006DC7AE /* Browser View */ = {
			isa = PBXGroup;
			children = (
				1ADFF47824C7DFF8006DC7AE /* BrowserView.swift */,
				1ADFF47324C7DE9C006DC7AE /* BrowserViewController.swift */,
				CD470C4325DE070400AFBE0E /* BrowserViewController+Keyboard.swift */,
				CD470C4125DE056600AFBE0E /* BrowserViewController+WebKitDelegate.swift */,
			);
			path = "Browser View";
			sourceTree = "<group>";
		};
		1ADFF47A24C7E176006DC7AE /* Backend */ = {
			isa = PBXGroup;
			children = (
				CD853BD224E77BEF00D2BDCC /* History */,
				1ADFF4AD24C8ED32006DC7AE /* ResourcePolicyManager.swift */,
			);
			path = Backend;
			sourceTree = "<group>";
		};
		1ADFF48224C8C12F006DC7AE /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				1ADFF48324C8C12F006DC7AE /* Foundation.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
		1ADFF4AF24C92E2F006DC7AE /* Web Process Bundle Bridge */ = {
			isa = PBXGroup;
			children = (
				CD361CF4271A3718006E9CA5 /* SBRScriptPolicy.h */,
				CD361CF5271A3718006E9CA5 /* SBRScriptPolicy.m */,
				1ADFF48B24C8C176006DC7AE /* SBRProcessBundleBridge.h */,
				1ADFF48C24C8C176006DC7AE /* SBRProcessBundleBridge.m */,
			);
			path = "Web Process Bundle Bridge";
			sourceTree = "<group>";
		};
		1ADFF4C124CA6AE4006DC7AE /* Utilities */ = {
			isa = PBXGroup;
			children = (
				CD16844C269E709400B8F8A5 /* Box.swift */,
				1ADFF4C224CA6AF6006DC7AE /* Geometry.swift */,
				CD7A8918251989C90075991E /* UIKeyCommand+ConvInit.swift */,
				1ADFF4C624CA6DEB006DC7AE /* UIEdgeInsets+Layout.swift */,
				1AB88F0524D4D3A90006F850 /* UIGestureRecognizer+Actions.swift */,
				CDEDD8A925D62ADB00862605 /* UITraitCollection+MacLike.swift */,
				CD936A3C289DB88B0093A1AC /* UIView+Utils.swift */,
				CD8DBE7A2A85D892006A0FE0 /* LayoutLatch.swift */,
				CDACE18B2C5B09F00053AB29 /* StringUtilities.swift */,
			);
			path = Utilities;
			sourceTree = "<group>";
		};
		1ADFF4CE24CBBCBD006DC7AE /* Script Policy UI */ = {
			isa = PBXGroup;
			children = (
				1ADFF4CA24CB8278006DC7AE /* ScriptControllerIconView.swift */,
				CD7313E3270534B800053347 /* ScriptPolicyViewControllerDelegate.swift */,
				CD7313E12705349700053347 /* ScriptPolicyViewController.swift */,
				1ADFF4CC24CBB0C8006DC7AE /* ScriptOriginPolicyViewController.swift */,
			);
			path = "Script Policy UI";
			sourceTree = "<group>";
		};
		CD15332D297B6784009A7F3A /* History UI */ = {
			isa = PBXGroup;
			children = (
				CD15332E297B6798009A7F3A /* HistoryBrowserViewController.swift */,
				CD153330297B6806009A7F3A /* HistoryView.swift */,
			);
			path = "History UI";
			sourceTree = "<group>";
		};
		CD7A7E9B2686A99600E20BA3 /* Amber */ = {
			isa = PBXGroup;
			children = (
				CDE6A30325F023BC00E912A4 /* AmberSettingsViewController.swift */,
				CDE6A30525F023EA00E912A4 /* AmberSettingsView.swift */,
			);
			path = Amber;
			sourceTree = "<group>";
		};
		CD7A89132519759D0075991E /* Autocomplete */ = {
			isa = PBXGroup;
			children = (
				CD7A8914251975B70075991E /* AutocompleteViewController.swift */,
			);
			path = Autocomplete;
			sourceTree = "<group>";
		};
		CD7F2133265DACEE0001D042 /* Hacks */ = {
			isa = PBXGroup;
			children = (
				CD8ACBC02DC9A2F7008BF856 /* Hacks.h */,
				CD8ACBC12DC9A2F7008BF856 /* Hacks.m */,
				CD7F2134265DAD010001D042 /* MFMailComposeViewControllerFix.m */,
			);
			path = Hacks;
			sourceTree = "<group>";
		};
		CD853BD224E77BEF00D2BDCC /* History */ = {
			isa = PBXGroup;
			children = (
				CD853BCF24E778B800D2BDCC /* History.xcdatamodeld */,
				CD853BCD24E7763900D2BDCC /* BrowserHistory.swift */,
				CD853BD324E77BF900D2BDCC /* HistoryItem.swift */,
				CDAD9CE9263A318F00FF7199 /* ShareableURL.swift */,
			);
			path = History;
			sourceTree = "<group>";
		};
		CDB6807B28B4456B007D787E /* Scene Delegates */ = {
			isa = PBXGroup;
			children = (
				1ADFF46124C7DE53006DC7AE /* BrowserSceneDelegate.swift */,
				CDF3468D276C105900FB3141 /* SettingsSceneDelegate.swift */,
				CDB6807C28B446FC007D787E /* ReaderSceneDelegate.swift */,
			);
			path = "Scene Delegates";
			sourceTree = "<group>";
		};
		CDC5DA3C25DB7A5500BA8D99 /* Reader View */ = {
			isa = PBXGroup;
			children = (
				CDC5DA3D25DB7C2C00BA8D99 /* ReaderViewController.swift */,
			);
			path = "Reader View";
			sourceTree = "<group>";
		};
		CDCE2662251AA7FC007FE92A /* Document Controls UI */ = {
			isa = PBXGroup;
			children = (
				CDCE2663251AA80F007FE92A /* DocumentControlViewController.swift */,
				CDAD9CE7263A2DF200FF7199 /* DocumentControlsView.swift */,
				1AD310442525586B00A4A952 /* DocumentControlItemView.swift */,
				CDCE2667251AAA9A007FE92A /* FontSizeAdjustView.swift */,
				CD97CF9125D5BE6F00288FEE /* NavigationControlsView.swift */,
			);
			path = "Document Controls UI";
			sourceTree = "<group>";
		};
		CDD0522225F8054A00DD1771 /* Web Search */ = {
			isa = PBXGroup;
			children = (
				CDD0522325F8055700DD1771 /* SearchProvider.swift */,
			);
			path = "Web Search";
			sourceTree = "<group>";
		};
		CDE6A30225F023A000E912A4 /* Settings */ = {
			isa = PBXGroup;
			children = (
				CD7A7E9B2686A99600E20BA3 /* Amber */,
				CDD0522025F8023700DD1771 /* Settings.swift */,
				CD7A7E9C2686A9A500E20BA3 /* SettingsViewController.swift */,
				CD7A7E9E2686B29100E20BA3 /* GeneralSettingsViewController.swift */,
				CD7A7EA02686B2E600E20BA3 /* RedirectRulesSettingsViewController.swift */,
				CDF3468F276C14BD00FB3141 /* CodeEditorSettingsViewController.swift */,
			);
			path = Settings;
			sourceTree = "<group>";
		};
		CDF255FB289DD7BD0059F021 /* Sync */ = {
			isa = PBXGroup;
			children = (
				CDF255FC289DD7CF0059F021 /* AttractorServer.swift */,
			);
			path = Sync;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		1ADFF45B24C7DE53006DC7AE /* App */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 1ADFF47024C7DE54006DC7AE /* Build configuration list for PBXNativeTarget "App" */;
			buildPhases = (
				1ADFF45824C7DE53006DC7AE /* Sources */,
				1ADFF45924C7DE53006DC7AE /* Frameworks */,
				1ADFF45A24C7DE53006DC7AE /* Resources */,
				1ADFF4A124C8C25B006DC7AE /* Embed App Extensions */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = App;
			productName = SBrowser;
			productReference = 1ADFF45C24C7DE53006DC7AE /* Attractor.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		1ADFF45424C7DE53006DC7AE /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1200;
				LastUpgradeCheck = 1400;
				TargetAttributes = {
					1ADFF45B24C7DE53006DC7AE = {
						CreatedOnToolsVersion = 12.0;
						LastSwiftMigration = 1200;
					};
				};
			};
			buildConfigurationList = 1ADFF45724C7DE53006DC7AE /* Build configuration list for PBXProject "SBrowser" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 1ADFF45324C7DE53006DC7AE;
			productRefGroup = 1ADFF45D24C7DE53006DC7AE /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				1ADFF45B24C7DE53006DC7AE /* App */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		1ADFF45A24C7DE53006DC7AE /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				CDC4A1CF25E9D8F7007D33C6 /* Tagger.js in Resources */,
				1A14FC2624D251BD009B3F83 /* darkmode.css in Resources */,
				CDC5DA4025DB7EAC00BA8D99 /* reader.html in Resources */,
				1ADFF46C24C7DE54006DC7AE /* LaunchScreen.storyboard in Resources */,
				CDB6808928B4569F007D787E /* LICENSE.txt in Resources */,
				1ADFF46924C7DE54006DC7AE /* Assets.xcassets in Resources */,
				CDB6808728B4556B007D787E /* Credits.rtf in Resources */,
				CDC5DA3A25DB774D00BA8D99 /* Readability.js in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		1ADFF45824C7DE53006DC7AE /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				1ADFF46024C7DE53006DC7AE /* AppDelegate.swift in Sources */,
				1AD3104325254FB900A4A952 /* FindOnPageViewController.swift in Sources */,
				1A03811424E73EB300826501 /* SegmentedReliefButton.swift in Sources */,
				1A03811024E71CF000826501 /* ReliefButton.swift in Sources */,
				CD8ACBC22DC9A2F7008BF856 /* Hacks.m in Sources */,
				1A03811224E71EAA00826501 /* GradientView.swift in Sources */,
				1ADFF4C024CA6964006DC7AE /* URLBar.swift in Sources */,
				CDAD9CEA263A318F00FF7199 /* ShareableURL.swift in Sources */,
				CDCE2666251AA840007FE92A /* StackView.swift in Sources */,
				CD853BD124E778B800D2BDCC /* History.xcdatamodeld in Sources */,
				CDD0522125F8023700DD1771 /* Settings.swift in Sources */,
				1AD31040252545BF00A4A952 /* FindOnPageView.swift in Sources */,
				CD470C4225DE056600AFBE0E /* BrowserViewController+WebKitDelegate.swift in Sources */,
				CDEDD8AA25D62ADB00862605 /* UITraitCollection+MacLike.swift in Sources */,
				CD7A8919251989C90075991E /* UIKeyCommand+ConvInit.swift in Sources */,
				CD936A3B289DB3380093A1AC /* TabInfo.swift in Sources */,
				1ADFF4C724CA6DEB006DC7AE /* UIEdgeInsets+Layout.swift in Sources */,
				1ADFF4AE24C8ED32006DC7AE /* ResourcePolicyManager.swift in Sources */,
				1ADFF47424C7DE9C006DC7AE /* BrowserViewController.swift in Sources */,
				CD361CF6271A3718006E9CA5 /* SBRScriptPolicy.m in Sources */,
				CDCE2668251AAA9A007FE92A /* FontSizeAdjustView.swift in Sources */,
				CD01D5A5254A10BB00189CDC /* TabBarView.swift in Sources */,
				1A03810D24E71CA700826501 /* ToolbarView.swift in Sources */,
				CD936A3D289DB88B0093A1AC /* UIView+Utils.swift in Sources */,
				CD470C4425DE070400AFBE0E /* BrowserViewController+Keyboard.swift in Sources */,
				CDB6807D28B446FC007D787E /* ReaderSceneDelegate.swift in Sources */,
				CDD0522425F8055700DD1771 /* SearchProvider.swift in Sources */,
				CD853BD424E77BF900D2BDCC /* HistoryItem.swift in Sources */,
				CD15332F297B6798009A7F3A /* HistoryBrowserViewController.swift in Sources */,
				1ADFF48D24C8C176006DC7AE /* SBRProcessBundleBridge.m in Sources */,
				1AB88F0624D4D3A90006F850 /* UIGestureRecognizer+Actions.swift in Sources */,
				CD7313E4270534B800053347 /* ScriptPolicyViewControllerDelegate.swift in Sources */,
				1ADFF46224C7DE53006DC7AE /* BrowserSceneDelegate.swift in Sources */,
				CD16844D269E709400B8F8A5 /* Box.swift in Sources */,
				CD853BCE24E7763900D2BDCC /* BrowserHistory.swift in Sources */,
				1A03810B24E71C5600826501 /* ToolbarButtonContainerView.swift in Sources */,
				CD8DBE7B2A85D892006A0FE0 /* LayoutLatch.swift in Sources */,
				CD7A7EA12686B2E600E20BA3 /* RedirectRulesSettingsViewController.swift in Sources */,
				1ADFF4CB24CB8278006DC7AE /* ScriptControllerIconView.swift in Sources */,
				CD7A8915251975B70075991E /* AutocompleteViewController.swift in Sources */,
				CDC5DA3E25DB7C2C00BA8D99 /* ReaderViewController.swift in Sources */,
				CDE6A30625F023EA00E912A4 /* AmberSettingsView.swift in Sources */,
				CD7A7E9D2686A9A500E20BA3 /* SettingsViewController.swift in Sources */,
				1AB88EFD24D3BA560006F850 /* TabController.swift in Sources */,
				CDF255FD289DD7CF0059F021 /* AttractorServer.swift in Sources */,
				1ADFF4C324CA6AF6006DC7AE /* Geometry.swift in Sources */,
				CD7F2135265DAD010001D042 /* MFMailComposeViewControllerFix.m in Sources */,
				CDAD9CE8263A2DF200FF7199 /* DocumentControlsView.swift in Sources */,
				1ADFF4C924CA793E006DC7AE /* ToolbarViewController.swift in Sources */,
				CD7A89172519872D0075991E /* KeyboardShortcuts.swift in Sources */,
				CDACE18C2C5B09F00053AB29 /* StringUtilities.swift in Sources */,
				1ADFF4CD24CBB0C8006DC7AE /* ScriptOriginPolicyViewController.swift in Sources */,
				CDE6A30425F023BC00E912A4 /* AmberSettingsViewController.swift in Sources */,
				1A14FC2824D26749009B3F83 /* Tab.swift in Sources */,
				CD7A7E9F2686B29100E20BA3 /* GeneralSettingsViewController.swift in Sources */,
				CDF34690276C14BD00FB3141 /* CodeEditorSettingsViewController.swift in Sources */,
				CD7313E22705349700053347 /* ScriptPolicyViewController.swift in Sources */,
				CD01D5AB254A206D00189CDC /* TabBarViewController.swift in Sources */,
				1ADFF47924C7DFF8006DC7AE /* BrowserView.swift in Sources */,
				CDCE2664251AA80F007FE92A /* DocumentControlViewController.swift in Sources */,
				CD153331297B6806009A7F3A /* HistoryView.swift in Sources */,
				CDF3468E276C105900FB3141 /* SettingsSceneDelegate.swift in Sources */,
				1AB88EFF24D3BBA50006F850 /* TabPickerViewController.swift in Sources */,
				CD19576D268BE95900E8089B /* GenericContentView.swift in Sources */,
				1A14FC2324D203D9009B3F83 /* TitlebarView.swift in Sources */,
				1AD310452525586B00A4A952 /* DocumentControlItemView.swift in Sources */,
				CD97CF9225D5BE6F00288FEE /* NavigationControlsView.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		1ADFF46A24C7DE54006DC7AE /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				1ADFF46B24C7DE54006DC7AE /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		1ADFF46E24C7DE54006DC7AE /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "-";
				COPY_PHASE_STRIP = NO;
				DEAD_CODE_STRIPPING = YES;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				HEADER_SEARCH_PATHS = "\"WebKit Headers\"";
				IPHONEOS_DEPLOYMENT_TARGET = 18.0;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		1ADFF46F24C7DE54006DC7AE /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "-";
				COPY_PHASE_STRIP = NO;
				DEAD_CODE_STRIPPING = YES;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				HEADER_SEARCH_PATHS = "\"WebKit Headers\"";
				IPHONEOS_DEPLOYMENT_TARGET = 18.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		1ADFF47124C7DE54006DC7AE /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CLANG_ENABLE_MODULES = YES;
				CODE_SIGN_ENTITLEMENTS = "App/Supporting Files/SBrowser.entitlements";
				CODE_SIGN_IDENTITY = "Apple Development";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 5;
				DEAD_CODE_STRIPPING = YES;
				DEVELOPMENT_TEAM = DQQH5H6GBD;
				INFOPLIST_FILE = "App/Supporting Files/Info.plist";
				INFOPLIST_KEY_CFBundleDisplayName = Attractor;
				INFOPLIST_KEY_LSApplicationCategoryType = "public.app-category.utilities";
				IPHONEOS_DEPLOYMENT_TARGET = 18.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 4.0;
				PRODUCT_BUNDLE_IDENTIFIER = net.buzzert.attractor;
				PRODUCT_NAME = Attractor;
				PROVISIONING_PROFILE_SPECIFIER = "";
				SUPPORTED_PLATFORMS = "iphoneos iphonesimulator";
				SUPPORTS_MACCATALYST = YES;
				SUPPORTS_MAC_DESIGNED_FOR_IPHONE_IPAD = NO;
				SUPPORTS_XR_DESIGNED_FOR_IPHONE_IPAD = NO;
				SWIFT_OBJC_BRIDGING_HEADER = "App/Supporting Files/SBrowser-Bridging-Header.h";
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2,6";
			};
			name = Debug;
		};
		1ADFF47224C7DE54006DC7AE /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CLANG_ENABLE_MODULES = YES;
				CODE_SIGN_ENTITLEMENTS = "App/Supporting Files/SBrowser.entitlements";
				CODE_SIGN_IDENTITY = "Apple Development";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 5;
				DEAD_CODE_STRIPPING = YES;
				DEVELOPMENT_TEAM = DQQH5H6GBD;
				INFOPLIST_FILE = "App/Supporting Files/Info.plist";
				INFOPLIST_KEY_CFBundleDisplayName = Attractor;
				INFOPLIST_KEY_LSApplicationCategoryType = "public.app-category.utilities";
				IPHONEOS_DEPLOYMENT_TARGET = 18.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 4.0;
				PRODUCT_BUNDLE_IDENTIFIER = net.buzzert.attractor;
				PRODUCT_NAME = Attractor;
				PROVISIONING_PROFILE_SPECIFIER = "";
				SUPPORTED_PLATFORMS = "iphoneos iphonesimulator";
				SUPPORTS_MACCATALYST = YES;
				SUPPORTS_MAC_DESIGNED_FOR_IPHONE_IPAD = NO;
				SUPPORTS_XR_DESIGNED_FOR_IPHONE_IPAD = NO;
				SWIFT_OBJC_BRIDGING_HEADER = "App/Supporting Files/SBrowser-Bridging-Header.h";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2,6";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		1ADFF45724C7DE53006DC7AE /* Build configuration list for PBXProject "SBrowser" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				1ADFF46E24C7DE54006DC7AE /* Debug */,
				1ADFF46F24C7DE54006DC7AE /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		1ADFF47024C7DE54006DC7AE /* Build configuration list for PBXNativeTarget "App" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				1ADFF47124C7DE54006DC7AE /* Debug */,
				1ADFF47224C7DE54006DC7AE /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */

/* Begin XCVersionGroup section */
		CD853BCF24E778B800D2BDCC /* History.xcdatamodeld */ = {
			isa = XCVersionGroup;
			children = (
				CD853BD024E778B800D2BDCC /* History.xcdatamodel */,
			);
			currentVersion = CD853BD024E778B800D2BDCC /* History.xcdatamodel */;
			path = History.xcdatamodeld;
			sourceTree = "<group>";
			versionGroupType = wrapper.xcdatamodel;
		};
/* End XCVersionGroup section */
	};
	rootObject = 1ADFF45424C7DE53006DC7AE /* Project object */;
}
